<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Getting Started With HTML to PDF Converter for .NET C#</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <meta http-equiv="Content-Language" content="english">
    <meta content="index,follow" name="robots">
    <link href="styles.css" type="text/css" rel="stylesheet">
    <link rel="shortcut icon" href="img/wnv.ico" />
    <meta content="MSHTML 6.00.2900.2963" name="GENERATOR">
</head>
<body>
    <form runat="server" id="convertForm">
        <!-- Header -->
        <div class="center">
            <table class="head" border="0">
                <tbody>
                    <tr>
                        <td style="width: 10px">
                            &nbsp;</td>
                        <td style="width: 90px">
                            <img src="img/logo.jpg" width="156" height="50" /></td>
                        <td valign="bottom" height="60" align="left" style="width: 85%">
                            <h1>
                                Getting Started with RTF to PDF Converter for .NET
                            </h1>
                        </td>
                        <td class="langoff" valign="top" align="right">
                            &nbsp;</td>
                    </tr>
                </tbody>
            </table>
            <br />
            <table>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        Enter the full path of the RTF file you want to convert and press the 'Convert'
                        button. In this demo you can set only the<br />
                        width of the RTF viewer. You can insert custom page breaks in the resulted PDF document
                        using the :pb tag. For a complete demo of all the converter features please see the windows
                        forms demo application.<br />
                    </td>
                </tr>
                <tr>
                    <td style="height: 5px">
                    </td>
                </tr>
                <tr>
                    <td align="left" width="100%" style="height: 57px">
                        <table cellspacing="0" cellpadding="0" align="left" width="100%">
                            <tr>
                                <td style="height: 29px">
                                    <table cellspacing="0" cellpadding="0">
                                        <tr>
                                            <td style="font-weight: bold">
                                                Enter RTF file full path:</td>
                                            <td>
                                                &nbsp;</td>
                                            <td>
                                                <asp:TextBox ID="textBoxRtfFilePath" runat="server" Width="315px"></asp:TextBox></td>
                                            <td>
                                                <asp:RequiredFieldValidator ID="urlRequired" runat="server" ControlToValidate="textBoxRtfFilePath">*</asp:RequiredFieldValidator>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <table>
                                        <tr>
                                            <td style="font-weight: bold;">
                                                RTF Viewer Width:
                                            </td>
                                            <td style="width: 26px">
                                                &nbsp;</td>
                                            <td>
                                                <asp:TextBox ID="textBoxViewerWidth" runat="server" Text="800" Width="38px"></asp:TextBox></td>
                                            <td>
                                                <asp:RequiredFieldValidator ID="viewerWidthRequired" runat="server" ControlToValidate="textBoxViewerWidth">*</asp:RequiredFieldValidator>
                                                <asp:CustomValidator ID="cvRtfViewerWidth" runat="server" Display="Dynamic" OnServerValidate="cvRtfViewerWidth_ServerValidate">*</asp:CustomValidator>
                                            </td>
                                            <td>
                                                pixels
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td style="height: 5px">
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblConvertMessage" runat="server" ForeColor="Red"></asp:Label></td>
                </tr>
                <tr>
                    <td>
                        <asp:Button runat="server" Text="Convert" ID="btnConvert" OnClick="btnConvert_Click" />&nbsp;&nbsp;
                        &nbsp; &nbsp;</td>
                </tr>
            </table>
            <!-- Footer -->
            <br />
            <table class="footer">
                <tbody>
                    <tr>
                        <td class="seph">
                        </td>
                    </tr>
                    <tr>
                        <td class="lightbluetext">
                            Copyright by <a class="lightbluetext" href="http://www.winnovative-software.com"
                                target="_blank">Winnovative-Software.Com</a></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </form>
</body>
</html>
